#
# spec file for package template-glib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           template-glib
Version:        3.26.1
Release:        lp150.1.9
Summary:        Library to help you generate text based on a template and user defined state
License:        LGPL-2.1+
Group:          System/Libraries
Url:            https://git.gnome.org/browse/template-glib/
Source0:        http://download.gnome.org/sources/template-glib/3.26/%{name}-%{version}.tar.xz
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(vapigen)

%description
Template-GLib is a library to help you generate text based on a template and
user defined state. Template-GLib does not use a language runtime, so it is
safe to use from any GObject-Introspectable language.

Template-GLib allows you to access properties on GObjects as well as call
simple methods via GObject-Introspection. See our examples for how to call
methods.

%package -n     libtemplate_glib-1_0-0
Summary:        Library to help you generate text based on a template and user defined state
# Make the -lang package installable
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n libtemplate_glib-1_0-0
Template-GLib is a library to help you generate text based on a template and
user defined state. Template-GLib does not use a language runtime, so it is
safe to use from any GObject-Introspectable language.

%package -n     typelib-1_0-Template-1_0
Summary:        Introspection bindings for Template-GLib
Group:          System/Libraries

%description -n typelib-1_0-Template-1_0
Template-GLib is a library to help you generate text based on a template and
user defined state. Template-GLib does not use a language runtime, so it is
safe to use from any GObject-Introspectable language.

Template-GLib allows you to access properties on GObjects as well as call
simple methods via GObject-Introspection. See our examples for how to call
methods.

This package provides introspection bindings

%package        devel
Summary:        Development files for Template-GLib
Group:          Development/Languages/C and C++
Requires:       typelib-1_0-Template-1_0 = %{version}

%description    devel
Template-GLib is a library to help you generate text based on a template and
user defined state. Template-GLib does not use a language runtime, so it is
safe to use from any GObject-Introspectable language.

Template-GLib allows you to access properties on GObjects as well as call
simple methods via GObject-Introspection. See our examples for how to call
methods.

This package provides development files.

%lang_package

%prep
%autosetup

%build
%{meson} \
	-Denable_tracing=false \
	-Denable_profiling=false \
	-Dwith_introspection=true \
	-Dwith_vapi=true \
	-Denable_gtk_doc=true \
	%{nil}
%{meson_build}

%install
%{meson_install}
%find_lang %{name} %{?no_lang_C}

%post -n libtemplate_glib-1_0-0 -p /sbin/ldconfig
%postun -n libtemplate_glib-1_0-0 -p /sbin/ldconfig

%files -n libtemplate_glib-1_0-0
%license COPYING
%{_libdir}/libtemplate_glib-1.0.so.0*

%files -n typelib-1_0-Template-1_0
%{_libdir}/girepository-1.0/Template-1.0.typelib

%files devel
%doc README.md
%doc %{_datadir}/gtk-doc/html/template-glib/
%dir %{_includedir}/template-glib-1.0
%{_includedir}/template-glib-1.0/*.h
%{_datadir}/gir-1.0/Template-1.0.gir
%{_libdir}/libtemplate_glib-1.0.so
%{_libdir}/pkgconfig/template-glib-1.0.pc
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/template-glib-1.0.deps
%{_datadir}/vala/vapi/template-glib-1.0.vapi

%files lang -f %{name}.lang

%changelog
* Thu Oct  5 2017 dimstar@opensuse.org
- Update to version 3.26.1:
  + Enable C99 support specifically in meson.build.
  + Updated translations.
* Mon Sep 11 2017 zaitor@opensuse.org
- Update to version 3.26.0:
  + Don't store build dir in generated files to help with build
    reproducibility.
- Add gtk-doc BuildRequires, build documentation.
- Pass enable_tracing=false, enable_profiling=false,
  with_introspection=true, with_vapi=true and enable_gtk_doc=true
  to meson, ensure we build the features we want.
* Thu Sep  7 2017 dimstar@opensuse.org
- Update to version 3.25.92:
  + Use LGPLv2.1+ consistently.
  + Fix unused variable in eval.
  + Check for version-script support by the linker.
  + Bump to more recent meson dependency.
  + Updated translations.
* Wed Aug 30 2017 dimstar@opensuse.org
- Provide template-glib by the shlib package: make the -lang
  package installable.
* Sun Jul 23 2017 zaitor@opensuse.org
- Initial packaging for openSUSE, version 3.25.3.
